From c03f5844ca8e405cd549c0a16b21013679a58b02 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Rodrigo=20Ram=C3=ADrez=20Norambuena?= <a@rodrigoramirez.com>
Date: Thu, 12 Sep 2019 12:03:29 -0300
Subject: [PATCH] Split requirement.txt dependencies

Add base for production dependencies and the requirements/development.txt
for development purpose

diff --git a/docs/dev_install.rst b/docs/dev_install.rst
index 69f07cc..3c92e0f 100644
--- a/docs/dev_install.rst
+++ b/docs/dev_install.rst
@@ -8,7 +8,7 @@ with. Here's a quick step-by-step on how to do that:
 #. Make sure you have downloaded and installed django *version 1.8*
    You will also need the dependencies *psycopg2*, *yaml*
    and *markdown* (these are python libraries, so prefix python- for Debian
-   packages, for example). There is a `requirements.txt` file available
+   packages, for example). There is a `requirements/development.txt` file available
    for pip installs.
 
 #. Make sure you have downloaded and installed PostgreSQL (tested only
diff --git a/requirements.txt b/requirements.txt
index 996abc2..5603c37 100644
--- a/requirements.txt
+++ b/requirements.txt
@@ -1,9 +1 @@
-Django==1.11.21
-django-markdown==0.2.1
-psycopg2==2.7.6
-pycrypto==2.6
-django_markwhat==1.4
-requests-oauthlib==0.4.0
-cvss==1.9
-pytidylib==0.3.2
-pycodestyle==2.2.0
+-r requirements/base.txt
diff --git a/requirements/base.txt b/requirements/base.txt
new file mode 100644
index 0000000..996abc2
--- /dev/null
+++ b/requirements/base.txt
@@ -0,0 +1,9 @@
+Django==1.11.21
+django-markdown==0.2.1
+psycopg2==2.7.6
+pycrypto==2.6
+django_markwhat==1.4
+requests-oauthlib==0.4.0
+cvss==1.9
+pytidylib==0.3.2
+pycodestyle==2.2.0
diff --git a/requirements/development.txt b/requirements/development.txt
new file mode 100644
index 0000000..b5a2aa5
--- /dev/null
+++ b/requirements/development.txt
@@ -0,0 +1,2 @@
+-r base.txt
+PyYAML==5.1.2
-- 
2.11.0

